View Issue Details

IDProjectCategoryView StatusLast Update
0038747pas2jsrtlpublic2021-04-13 09:04
Reporterhenrique Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPas2JsOSWindows 
Fixed in Versiontrunk 
Summary0038747: Override removed.
DescriptionI had implemented DefineProperties, but when they applied the modification, they removed the "override" from the definition and with that it is not working.

With that I'm sending a new fix.
TagsNo tags attached.
Fixed in Revision1141
Attached Files

Activities

henrique

2021-04-12 22:45

reporter  

0001-Override-define-properties.patch (887 bytes)   
From ab0e509c2d11045d64744258f13b549016b7ef0e Mon Sep 17 00:00:00 2001
From: Henrique Gottardi Werlang <henriquewerlang@hotmail.com>
Date: Fri, 9 Apr 2021 14:33:07 -0300
Subject: [PATCH] Override define properties.

---
 packages/fcl-db/db.pas | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/packages/fcl-db/db.pas b/packages/fcl-db/db.pas
index fcc35e18..ba710e67 100644
--- a/packages/fcl-db/db.pas
+++ b/packages/fcl-db/db.pas
@@ -334,7 +334,7 @@ type
     procedure SetText(const AValue: string); virtual;
     procedure SetVarValue(const AValue{%H-}: JSValue); virtual;
     procedure SetAsBytes(const AValue{%H-}: TBytes); virtual;
-    procedure DefineProperties(Filer: TFiler); 
+    procedure DefineProperties(Filer: TFiler); override;
   public
     constructor Create(AOwner: TComponent); override;
     destructor Destroy; override;
-- 
2.31.1.windows.1

Michael Van Canneyt

2021-04-13 09:04

administrator   ~0130337

Applied, thank you.

Issue History

Date Modified Username Field Change
2021-04-12 22:45 henrique New Issue
2021-04-12 22:45 henrique File Added: 0001-Override-define-properties.patch
2021-04-12 23:19 Mattias Gaertner Assigned To => Michael Van Canneyt
2021-04-12 23:19 Mattias Gaertner Status new => assigned
2021-04-13 09:04 Michael Van Canneyt Status assigned => resolved
2021-04-13 09:04 Michael Van Canneyt Resolution open => fixed
2021-04-13 09:04 Michael Van Canneyt Fixed in Version => trunk
2021-04-13 09:04 Michael Van Canneyt Fixed in Revision => 1141
2021-04-13 09:04 Michael Van Canneyt Note Added: 0130337